
windowrule = match:class ulauncher, tag +launcher
windowrule = match:class vicinae, tag +launcher

windowrule = match:class firefox, opaque on
windowrule = match:class firefox, render_unfocused on

windowrule = match:class vesktop, render_unfocused on
windowrule = match:class vesktop, no_screen_share on

windowrule = match:class com.nextcloud.desktopclient.nextcloud, tag +mixer
windowrule = match:class blueman-manager, tag +mixer
windowrule = match:class nm-connection-editor, tag +mixer

windowrule = match:tag mixer, float on
windowrule = match:tag mixer, pin on
windowrule = match:tag mixer, move (monitor_w*0.7) (monitor_h*0.05)
windowrule = match:tag mixer, size (monitor_w*0.2) (monitor_h*0.3)

windowrule {
    name = large-centered-L
    match:tag = centered-L
    float = on
    move = (monitor_w*0.1) (monitor_h*0.1)
    size = (monitor_w*0.8) (monitor_h*0.8)

}

windowrule {
    name = large-centered
    match:tag = centered
    float = on
    move = (monitor_w*0.2) (monitor_h*0.2)
    size = (monitor_w*0.6) (monitor_h*0.6)

}

windowrule {
    name = centered-small
    match:tag = centered-S
    float = on
    move = (monitor_w*0.4) (monitor_h*0.4)
    size = (monitor_w*0.2) (monitor_h*0.2)

}

windowrule {
    name = vici
    match:class = vicinae-server
    pin = on
    no_shadow = on
    no_blur = on
    border_size = 0
    move = (cursor_x-(window_w/2)) (cursor_y-(window_h/2))
}

windowrule {
    name = launcher
    match:tag = launcher
    pin = on
    no_shadow = on
    no_blur = on
    border_size = 0
    move = (cursor_x-(window_w/2)) (cursor_y-(window_h/2))
}

windowrule {
    name = spotify
    match:class = spotify
    match:float = on

    no_blur = on
    opacity = 0.5 0.05
}

#smart gaps
workspace = w[tv1]s[false], gapsout:0, gapsin:0
workspace = f[1]s[false], gapsout:0, gapsin:0
windowrule = border_size 1, match:float 0, match:workspace w[tv1]s[false]
windowrule = rounding 3, match:float 0, match:workspace w[tv1]s[false]
windowrule = border_size 0, match:float 0, match:workspace f[1]s[false]
windowrule = rounding 0, match:float 0, match:workspace f[1]s[false]
